> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pearcheck.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get user verification result

> Endpoint used to get user verification result



## OpenAPI

````yaml GET /api/v1/verify/get_user_verification_result/{batch_id}/
openapi: 3.0.3
info:
  title: Pearcheck API Documentation
  version: 1.0.0
  description: This is the official documentation for the Pearcheck backend
servers:
  - url: https://api.pearcheck.com
  - url: https://api-sandbox.pearcheck.com
security: []
paths:
  /api/v1/verify/get_user_verification_result/{batch_id}/:
    get:
      tags:
        - api
      operationId: api_v1_verify_get_user_verification_result_retrieve
      parameters:
        - in: path
          name: batch_id
          schema:
            type: string
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/KYCResponse'
          description: Successful Operation
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Bad Request or Internal Error
      security:
        - ApiKeyAuth: []
        - {}
components:
  schemas:
    KYCResponse:
      type: object
      properties:
        provider:
          type: string
        batch_id:
          type: string
          format: uuid
        status:
          type: string
        type:
          type: string
        used_url:
          type: boolean
        verification_type:
          type: string
        verification_result:
          type: string
        verification_url:
          type: string
          nullable: true
        id_type:
          type: string
        created_at:
          type: string
          format: date-time
        user_input:
          type: object
          additionalProperties: {}
        id_info:
          type: object
          additionalProperties: {}
        phone_info:
          type: object
          additionalProperties: {}
        aml_info:
          type: object
          additionalProperties: {}
        risk_info:
          type: object
          additionalProperties: {}
        fraud_insights:
          type: object
          additionalProperties: {}
        face_match_info:
          type: object
          additionalProperties: {}
        face_liveness_info:
          type: object
          additionalProperties: {}
      required:
        - aml_info
        - batch_id
        - created_at
        - face_liveness_info
        - face_match_info
        - fraud_insights
        - id_info
        - id_type
        - phone_info
        - provider
        - risk_info
        - status
        - type
        - used_url
        - user_input
        - verification_result
        - verification_type
    ErrorResponse:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/ErrorDetail'
      required:
        - error
    ErrorDetail:
      type: object
      properties:
        summary:
          type: string
        fields:
          type: object
          additionalProperties:
            type: string
      required:
        - summary
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY

````